require 'import'
import 'android.widget.Button'
import 'android.widget.LinearLayout'
import 'android.app.Activity'
import 'android.view.View'
import 'java.io.File'
import 'java.io.FileWriter'
import 'java.io.BufferedReader'
import 'java.io.FileReader'

puan = 0
dosyaYolu = "/sdcard/txt/"
dosyaAdi = "skor.txt"
tamYol = dosyaYolu .. dosyaAdi

function klasorVeDosyaHazirla()
  local klasor = File(dosyaYolu)
  if not klasor.exists() then
    klasor.mkdirs()
  end

  local dosya = File(tamYol)
  if dosya.exists() then
    local reader = BufferedReader(FileReader(dosya))
    local satir = reader.readLine()
    if satir then
      puan = tonumber(satir) or 0
    end
    reader.close()
  else
    local writer = FileWriter(dosya)
    writer.write(tostring(puan))
    writer.close()
    dosya.setReadable(true, false)
    dosya.setWritable(false, false)
  end
end

function puaniKaydet()
  local dosya = File(tamYol)
  if dosya.canWrite() then
    local writer = FileWriter(dosya)
    writer.write(tostring(puan))
    writer.close()
    dosya.setReadable(true, false)
    dosya.setWritable(false, false)
  end
end

layout = LinearLayout(this)
layout.setOrientation(1)

butonMeyve = Button(this)
butonMeyve.Text = "Meyve Ver"
butonMeyve.onClick = function()
    local rastgele = math.random(1, 13)
    local meyve = ""
    local degisim = 0

    if rastgele == 1 then
        meyve = "Elma"
        degisim = 20
    elseif rastgele == 2 then
        meyve = "Üzüm"
        degisim = 80
    elseif rastgele == 3 then
        meyve = "Karpuz"
        degisim = 95
    elseif rastgele == 4 then
        meyve = "Muz"
        degisim = 20
    elseif rastgele == 5 then
        meyve = "Mandalina"
        degisim = 50
    elseif rastgele == 6 then
        meyve = "Avokado"
        degisim = 100
    elseif rastgele == 7 then
        meyve = "Portakal"
        degisim = 92
    elseif rastgele == 8 then
        meyve = "Acı Biber"
        degisim = -90
    elseif rastgele == 9 then
        meyve = "Tuz"
        degisim = -60
    elseif rastgele == 10 then
        meyve = "Limon"
        degisim = -40
    elseif rastgele == 11 then
        meyve = "Çürük Elma"
        degisim = -90
    elseif rastgele == 12 then
        meyve = "Muz Kabuğu"
        degisim = -110
    elseif rastgele == 13 then
        meyve = "Çürük Mandalina"
        degisim = -70
    end

    puan = puan + degisim
    puaniKaydet()

    if degisim > 0 then
        print("Tebrikler dostum, " .. meyve .. " kazandın ve " .. degisim .. " puan kazandın!")
    else
        print("Maalesef bu oyun acımasızdır, " .. meyve .. " geldi ve " .. math.abs(degisim) .. " puan kaybettin.")
    end
end

butonPuan = Button(this)
butonPuan.Text = "Toplam Skor"
butonPuan.onClick = function()
    print("Toplam puanın: " .. puan)
end

butonSifirla = Button(this)
butonSifirla.Text = "Skoru Sıfırla"
butonSifirla.onClick = function()
    puan = 0
    local dosya = File(tamYol)
    if dosya.canWrite() then
      local writer = FileWriter(dosya)
      writer.write("0")
      writer.close()
      dosya.setReadable(true, false)
      dosya.setWritable(false, false)
    end
    print("Skor sıfırlandı.")
end

layout.addView(butonMeyve)
layout.addView(butonPuan)
layout.addView(butonSifirla)

activity.setContentView(layout)
klasorVeDosyaHazirla()